Closed Bug 953823 Opened 7 years ago Closed 7 years ago

Show findbar on log viewer content

Categories

(Instantbird :: Other, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: benediktp, Assigned: benediktp)

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 380 at 2010-03-13 06:25:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Attached patch Fix (obsolete) — Splinter Review
*** Original post on bio 380 as attmnt 283 at 2010-03-13 06:25:00 UTC ***

To let people know that searching in the content is possible (at least per session), make the find bar appear by default.

Attached is a patch that shows the bar by default when opening the log viewer. 

Showing it each time a different session is loaded seems too much to me. Especially as you can't know if the user doesn't want to see it maybe. Having to close it once per log viewer session is more than enough then. Adding a preference for this seemed overkill.

Alternative: add a bar below the content viewer that could hold a 'Find' button that would open the bar. Not in the scope of this bug: other buttons (Previous/Next, Open in folder,..?) could go there as well.
Attachment #8352024 - Flags: review?(florian)
Comment on attachment 8352024 [details] [diff] [review]
Fix

*** Original change on bio 380 attmnt 283 at 2010-03-19 17:14:06 UTC ***

If the findbar is opened by default, it should always stay opened, otherwise the user may close it accidentally and wonder where it has disappeared. It's not like if we were missing space in this window anyway.

We should make sure the Escape keyboard shortcut doesn't do anything, and hide the close icon.

The Ctrl+f keyboard shortcut would still be useful, it would focus the textbox of the findbar.
Attachment #8352024 - Flags: review?(florian) → review-
*** Original post on bio 380 as attmnt 348 at 2010-09-01 23:06:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352089 - Flags: review?(florian)
Comment on attachment 8352024 [details] [diff] [review]
Fix

*** Original change on bio 380 attmnt 283 at 2010-09-01 23:06:06 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352024 - Attachment is obsolete: true
*** Original post on bio 380 at 2010-09-01 23:12:45 UTC ***

Comment on attachment 8352089 [details] [diff] [review] (bio-attmnt 348)
Fix, simplied, with suggested changes

I like this new patch a lot!

I'll try it before putting the r+ flag.

2 nits:
- display:<space>none;
- you added some trailing white space in viewlog.js

I can fix these 2 details before checking-in the patch if nothing else comes up when I try it.
Comment on attachment 8352089 [details] [diff] [review]
Fix, simplied, with suggested changes

*** Original change on bio 380 attmnt 348 at 2010-09-13 17:40:57 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352089 - Flags: review?(florian) → review+
*** Original post on bio 380 at 2010-09-13 18:52:14 UTC ***

https://hg.instantbird.org/instantbird/rev/19051ed6ff00
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3a1
*** Original post on bio 380 at 2010-09-15 19:36:14 UTC ***

The patch was pretty broken. I couldn't possibly have tested it without noticing these things. It's embarassing to have submitted something like it :(

* Highlighted words don't work when changing log file
* Find field success not updated when changing log file
* Find next/previous broken when changing log file

I apologize.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
*** Original post on bio 380 at 2010-09-18 22:24:55 UTC ***

This is not really in the scope of the "Permanent Findbar" bug. CLOSEing it again and opening a new one.
*** Original post on bio 380 at 2010-09-18 22:30:24 UTC ***

The new bug on the broken behaviour is bug 953951 (bio 514), which is pointing to the platform bug at https://bugzilla.mozilla.org/show_bug.cgi?id=331443 .
Status: REOPENED → RESOLVED
Closed: 7 years ago7 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.